{ pkgs, lib, outputs, ... }:
{
  imports = [
    ./crypto.nix
    ./design.nix
    ./espanso.nix
    ./hyprland
    ./i3-gaps.nix
    ./extrafonts.nix
    ./media.nix
    ./office.nix
    ./polybar.nix
    ./qt.nix
    ./rofi.nix
    ./syncthing.nix
  ];

  xdg.mimeApps.enable = true;

  home.sessionVariables = {
    WEBKIT_DISABLE_COMPOSITING_MODE = "1";
    EDITOR = "emacs";
    VISUAL = "emacs"; 
    XDG_CONFIG_HOME = "\${HOME}/.config";
    XDG_BIN_HOME = "\${HOME}/.local/bin";
    XDG_DATA_HOME = "\${HOME}/.local/share";
  };
  home.sessionPath = [ "\${XDG_BIN_HOME}" "\${HOME}/.cargo/bin" ];
  
  home.packages = with pkgs; [
    alacritty
    appimage-run
    autotiling
    blueberry
    brave
    brightnessctl
    clipman
    dunst
    feh
    flameshot
    fuzzel
    gnome.file-roller
    gnome.seahorse
    gnome.vinagre
    gsettings-desktop-schemas
    hyprpaper
    libnotify
    lxappearance
    nyxt
    pasystray
    pavucontrol
    picom
    polkit_gnome
    qt5ct
    qt6.qtwayland
    rustdesk
    slurp
    unrar
    unzip
    usbutils
    v4l-utils
    wlogout
    wl-clipboard
    xclip
    xdg-utils
    xdotool
    xfce.xfce4-clipman-plugin
    xorg.xbacklight
    xorg.xkill
    xorg.xmodmap
    xorg.xrandr
    zip
  ];
}
