{ config, pkgs, ... }: {
  imports = [
    ./base
    ../../features/cli
    ../../features/coding
    ../../features/desktop
    ../../features/gaming
    ../../features/virtualization
    ../../features/services
  ];
nixpkgs.config.allowUnfree = true;
  features = {
    cli = {
      fish.enable = true;
      neofetch.enable = true;
      secrets.enable = true;
      starship.enable = true;
      tmux.enable = true;
    };
    gaming = { sunshine.enable = true; };
    desktop = {
      crypto.enable = true;
      design.enable = true;
      extrafonts.enable = true;
      media.enable = true;
    };
    virtualization = {
      podman.enable = true;
      qemu.enable = true;
    };
    services = {
      netbird.enable = true;
    };

  };

  home.stateVersion = "22.11";

}
