{ config, pkgs, ... }: {
  disabledModules = [ "system/services/n8n.nix" ];

  nixpkgs.overlays =
    [ (self: super:
      {
        n8n = pkgs.unstable.n8n;
      })
    ];

  services.n8n = {
    enable = true;
    openFirewall = true;
    settings = {
      editorBaseUrl = "https://wf.lanakk.com";
      host = "https://wf.lanakk.com";
    };
  };
  systemd.services.n8n.environment = {
    BILLBEE_API_KEY =
      config.age.secrets.billbee-api-key.path; # TODO env file for systemd service
  };
  systemd.services.traefik.serviceConfig = {
    EnvironmentFile = "${config.age.secrets.traefik-env.path}";
  };
}
